# Psi has no KDE-specific feature yet, but it's in the TODO list
%{!?_without_kde:%define with_kde 1}

Name:       psi
Version:    0.10
Release:    6%{?dist}
Summary:    Jabber client based on Qt
License:    GPLv2+
Group:      Applications/Internet
URL:        http://psi-im.org
#Source0:    http://people.ex.ac.uk/kismith/psi/psi-0.10-test2.tar.bz2
Source0:    http://dl.sf.net/psi/psi-0.10.tar.bz2
Source2:    psi-uicwrapper.sh
Patch1:     psi-0.9.2-strip.patch
#Patch2:     psi-0.9.2-mach-build.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel >= 1:3.1.1
BuildRequires:  zlib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qca-devel
%if 0%{?with_kde}
BuildRequires:  kdelibs-devel
%endif

Requires:    sox
Requires:    gnupg

# Language packs
Source10:   psi-lang-packs-0.10.tar.gz

# Iconsets
Source11:   emoticons-0.10.tar.gz
Source12:   rostericons-0.10.tar.gz
#Source13:   systemicons-0.9.3.tar.gz



%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies. Psi contains all the features necessary to chat,
with no bloated extras that slow your computer down. The Jabber protocol
provides gateways to other protocols as AIM, ICQ, MSN and Yahoo!.
If you want SSL support, install the qca-tls package.

%package -n %name-i18n
Summary:    Language packs for Psi
Group:      Applications/Internet
Requires:   psi = %version

%description -n %name-i18n
This package adds internationalization to Psi.
If you want to add a translation from http://psi.affinix.com,
just put the .qm file in %_datadir/%name (you'll have to do
this as root), and restart psi.

%package -n %name-icons
Summary:    Additional icons for Psi
Group:      Applications/Internet
Requires:   psi >= 0.9.1

%description -n %name-icons
This package contains additional icons for Psi
There are three types of icons:
- emoticons, also known as smileys
- roster icons, to change the appearance of Psi's main window
- system icons, to change the rest of Psi's icons
More icons can be found on http://jisp.netflint.net


%prep
%setup -q
# (ugly) hack to enable debuginfo subrpm
%patch1 -p1 -b .strip
# needed to build with mach
#%patch2 -p1 -b .mach-build


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

%if 0%{?with_kde}
export KDEDIR=%(kde-config --prefix)
%endif

./configure                        \
        --prefix=%{_prefix}        \
        --bindir=%{_bindir}        \
        --datadir=%{_datadir}      \
        --qtdir=$QTDIR

# Fix build for FC1
#make qmake
#install -m 755 %{SOURCE2} src/uic-wrapper
#sed -i 's|\$(QTDIR)/bin/uic|./uic-wrapper|' src/Makefile

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export INSTALL_ROOT=$RPM_BUILD_ROOT
make install
cp -p libpsi/iconset/ICONSET-HOWTO $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/

# Install language packs
tar -xzpf %{SOURCE10} -C $RPM_BUILD_ROOT%{_datadir}/%name/

## Install iconsets
tar -xzpf %{SOURCE11} -C $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/emoticons/
tar -xzpf %{SOURCE12} -C $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/roster/
#tar -xzpf %{SOURCE13} -C $RPM_BUILD_ROOT%{_datadir}/%name/iconsets/system/


# Menu
#perl -pi -e 's/Icon=psi/Icon=psi.png/' $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/%{name}.desktop
desktop-file-install --vendor fedora \
       --dir $RPM_BUILD_ROOT%{_datadir}/applications\
       --add-category Application\
       --add-category X-Fedora\
       --delete-original\
       $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(0644,root,root,0755)
# Needed by psi for the help dialog
#%doc README COPYING libpsi/iconset/ICONSET-HOWTO
%attr(0755,root,root) %{_bindir}/psi
%{_datadir}/%{name}
%_datadir/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%name.png
%exclude %{_datadir}/%{name}/*.qm
%exclude %{_datadir}/%{name}/iconsets/*/*.jisp

%files -n %name-i18n
%defattr(0644,root,root,0755)
%{_datadir}/%name/%{name}_*.qm


%files -n %name-icons
%defattr(0644,root,root,0755)
%{_datadir}/%name/iconsets/*/*.jisp


%changelog
* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.10-6
- fix license tag
- rebuild for BuildID

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.10-5
- rebuild

* Thu Apr 13 2006 Aurelien Bompard <gauret[AT]free.fr> 0.10-4
- update translations for CS, DE, ET and VI

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.10-3
- rebuild for FC5

* Thu Jan 12 2006 Aurelien Bompard <gauret[AT]free.fr> 0.10-1
- version 0.10 final

* Tue Jan 03 2006 Aurelien Bompard <gauret[AT]free.fr> 0.10-0.3.test4
- version 0.10 test4

* Thu Nov 03 2005 Aurelien Bompard <gauret[AT]free.fr> 0.10-0.2.test3
- version 0.10 test3

* Sat Oct 15 2005 Aurelien Bompard <gauret[AT]free.fr> 0.10-0.2.test2
- version 0.10 test2
- drop patch 3 (applied upstream)
- drop icon symlink (useless)

* Thu Aug 25 2005 Aurelien Bompard <gauret[AT]free.fr> 0.10-0.1.test1
- version 0.10 test1
- spec cleanups

* Wed Jun  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.3-4
- patch it for 64-bit/GCC 4

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.9.3-3
- rebuild on all arches

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.9.3-2
- rebuilt

* Sun Jan 09 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-1
- version 0.9.3 final

* Mon Jan 03 2005 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.0.3.test2
- version 0.9.3-test2

* Thu Nov 25 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.0.2.test1
- Drop hardcoded requirement on qca-tls, it should be a plugin

* Mon Nov 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.3-0.fdr.0.1.test1
- update to 0.9.3test1
- use the provided icon in the menu and drop Source1.
- add crystal iconset
- added Russian and Eesti translations

* Sat Sep 18 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.3
- add patch for typing notification
- add crystal iconset
- update translations (adding kiswahili and Eesti)

* Fri Jun 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.2
- split qca-tls out of this package and require it
- fix build on FC1

* Thu Jun 10 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.1
- version 0.9.2
- drop libgnome patch, psi now uses gnome-open
- rediffed the other patches

* Sat Feb 28 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.9
- add a patch to build with mach
- removed URLs in iconsets because the website changed
- add one iconset

* Tue Feb 17 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.8
- add a patch from Debian
- avoid stripping of binary

* Sat Feb 14 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.7
- add German (de) and Simplified Chinese (zh) translations
- Apply suggestions from Michael Schwendt :
  - BuildRequies kdelibs-devel if built --with kde
  - Drop rostericonset "neos" because it is buggy
  - Put docs in %%_datadir/psi to avoid empty about box
  - Fix source URL
  - Fix files list for FC2

* Mon Feb 09 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.6
- add Cesky (cs) and Catalan (ca) translations

* Sat Jan 31 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.5
- add polish (pl) translation.
- improve description of the i18n package

* Wed Jan 28 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.4
- add spanish (es) and svenska (se) translations.
- *really* add GNOME icon...

* Tue Jan 27 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.3
- add slovak (sk) and italian (it) translations.

* Tue Jan 20 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.2
- add GNOME icon

* Sun Jan 11 2004 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9.1-0.fdr.1
- version 0.9.1
- add jisp emoticons in a separate package (psi-icons)
- add ICONSET-HOWTO
- drop old iconsets (and thus remove buildrequires: unzip)
- add rebuild option "--without kde" to prepare for future version of psi
  which will take this into account. Right now it is ignored.

* Sat Nov 22 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.4
- add Requires: sox to play sound (thanks to you-know-who ;-) )
- fix date in changelog.

* Fri Nov 21 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.3
- Thanks to Michael Schwendt (again :-) ) :
  * exclude lang files from main package
  * preserve timestamps when possible
  * fix .desktop file
  * add ssl support

* Tue Nov 18 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.2
- Thanks to Michael Schwendt :
  * group language packs into one subpackage.
  * added epoch=0
  * added environnement variables to ./configure
  * added BuildRequires: XFree86-devel

* Wed Nov 12 2003 Aurelien Bompard <gauret[AT]free.fr> - 0.9-0.fdr.1
- port to Fedora (from Mandrake)
